## NAME

           pthread_wakeup_np - wake up a real-time thread

## SYNOPSIS

           #include <rtl_sched.h>

           int pthread_wakeup_np (pthread_t thread);

## DESCRIPTION

           This function is a non-portable Real-Time Linux extension.
           pthread_wakeup_np wakes up the real-time thread thread.

## RETURN VALUE

           Always returns 0.

## ERRORS

           None.

## AUTHOR

           Michael Barabanov <baraban@fsmlabs.com>

## SEE ALSO

           pthread_suspend_np(3),        pthread_make_periodic_np(3),
           pthread_wait_np(3)